{#
/**
 * @file
 * Theme override for an 'input' #type form element.
 *
 * Available variables:
 * - attributes: A list of HTML attributes for the input element.
 * - children: Optional additional rendered elements.
 *
 * @see template_preprocess_input()
 */
#}

{% if attributes.hasClass('button') and not attributes.hasClass('field-add-more-submit') and not attributes.hasClass('btn') %}
  {%
    set classes = [
      'btn',
      attributes.hasClass('button--danger') ? 'btn-danger' : '',
      (not attributes.hasClass('media-library-item__remove') and not attributes.hasClass('button--danger')) ? 'btn-primary' : ''
    ]
  %}
  <input{{ attributes.addClass(classes) }} />
{% else %}
  {# A11y https://accessibilite.numerique.gouv.fr/methode/glossaire/#presentation-de-l-information
     L'attribut size utilisé sur d’autres éléments que l'élément <select> est interdit ;
  #}
  <input{{ attributes.removeAttribute('size') }} />
{% endif %}
{{ children }}
